package com.projectwork.demo.service;

import com.projectwork.demo.model.OrderBusiness;
import com.projectwork.demo.repository.OrderRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.List;

/**
* Generated by Spring Data Generator on 12/01/2023
*/
@Component
@RequiredArgsConstructor
public class OrderService {

	private final OrderRepository orderRepository;

	public List<OrderBusiness> findAll() {
		List<OrderBusiness> orderBusinesses = orderRepository.findAll();
		return orderBusinesses;
	}

	public List<OrderBusiness> findByCompanyId(Integer companyId) {
		List<OrderBusiness> orderBusinesses = orderRepository.findAllOrdersByCompanyId(companyId);
		return orderBusinesses;
	}

}
